<div id="data-privacy" class="getting-started-content content-data-privacy">
    <div class="content-heading">
        <h2><?php esc_html_e('Data Privacy','integrate-google-drive'); ?> </h2>
        <p><?php esc_html_e('Information about the Data and Privacy','integrate-google-drive'); ?></p>
    </div>


    <section class="section-data-privacy section-half">
        <div class="col-description">
            <h2><?php esc_html_e('Plugin authorization flow (OAuth)','integrate-google-drive'); ?></h2>
            <p>
                <?php esc_html_e('For technical reasons, the short-lived authorization code generated by the OAuth flow sent by your
                internet browser to our server as part of the authentication (OAuth) flow to provide the Application
                access to the Google Drive API.','integrate-google-drive'); ?>
            </p>

            <h4>
                <?php esc_html_e('The Application obtains the following information when you use the built-in app for authentication and
                link the Application with your Google Drive Account:','integrate-google-drive'); ?>
            </h4>

            <ol>
                <li><?php esc_html_e('Your WordPress website address.','integrate-google-drive'); ?></li>
                <li><?php esc_html_e('A short-lived authorization code generated by the OAuth flow.','integrate-google-drive'); ?></li>
            </ol>

            <p>
                <?php esc_html_e('This information is obtained and used after you decide to grand the Application the requested access via
                the Google OAuth consent screen. After giving the consent, you will be redirected to the server of
                softlabbd.com (https://softlabbd.com/integrate-google-drive-oauth.php) which will redirect you back to your
                own site where the authorization process is finalized. This redirect via the server of softlabbd.com is
                required for any easy plugin setup where you don’t need to create your own Google App which also allows
                you to set your own Authorized redirect URI. SoftLab Privacy Policy','integrate-google-drive'); ?>
            </p>

            <p>
                <?php esc_html_e('On your own server, the short-lived authorization code will be exchanged for the actual access token and
                refresh token which are stored, encrypted, on your server. The authorization code can only be used once
                and will immediately become inactive after it has been exchanged for the access token or within minutes
                if it is not used.','integrate-google-drive'); ?>
            </p>

            <p>
                <strong><?php esc_html_e('IMPORTANT:','integrate-google-drive'); ?></strong> <?php esc_html_e('When you use the Application, all other communications are strictly between
                your server and the cloud storage service servers. The communication is encrypted and the communication
                will not go through our servers. We do not collect and do not have access to your files.','integrate-google-drive'); ?>
            </p>
        </div>
    </section>

    <section class="section-data-privacy section-half">
        <div class="col-description">
            <h2><?php esc_html_e('Google Permissions for OAuth','integrate-google-drive'); ?></h2>
            <p>
                <?php esc_html_e('In order for the Application to work seamlessly, Google Drive permission is granted by users during the
                standard oAuth authorization flow. Please see their privacy policies for further details','integrate-google-drive'); ?>
            </p>

            <p>
                <?php esc_html_e('The Application uses the Google Drive permissions to allow it to see, edit, create, and delete all of
                your Google Drive files on your WordPress site. This is the core functionality of the plugin to make the
                integration between Google Drive and WordPress as seamless as possible. We ask for the ‘see’ permission
                to be able to list your files. The ‘create’ permission is used for uploading new content to your Google
                Drive. The other permissions are required to manage your files on Google Drive which includes, renaming,
                editing, deleting and sharing your files. Google Drive Privacy Policy and Terms of Use','integrate-google-drive'); ?>
            </p>

        </div>
    </section>


</div>